=== debian/changelog ===
ros-melodic-rc-pick-client (3.1.0-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-pick-client (3.0.5-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.4-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.1-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-pick-client (3.0.0-2stretch) stretch; urgency=high

  * refactoring and cleanup
  * add overfilled flag and detect_filling_level
  * cleanup/consolidate messages
  * new field collsion check added
  * update cpr for support of curl >= 7.62.0
    and set EXCLUDE_FROM_ALL to not install it
  * update nlohmann json to 3.7.3
  * Contributors: Felix Ruess, florek

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-melodic-rc-pick-client (2.7.0-2stretch) stretch; urgency=high

  * add BoxPick client rc_boxpick_client_node
  * add device parameter that can take serial number or GEV name
    (has precedence over old host parameter)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.4-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.2-2stretch) stretch; urgency=high

  * add missing visualization_msgs dependency

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.1-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-rc-pick-client (2.6.0-2stretch) stretch; urgency=high

  * first release

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000
