## ros-melodic-rc-pick-client 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # - Standard definitions -
 
-if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
+if (CMAKE_VERSION VERSION_LESS "3.1.0")
     add_definitions(-std=c++11)
 else ()
     set(CMAKE_CXX_STANDARD 11)
@@ -23,7 +23,7 @@
 # add a target for the submodule CPR doing the REST api calls
 
 find_package(catkin REQUIRED COMPONENTS
-        roscpp message_generation std_srvs geometry_msgs dynamic_reconfigure shape_msgs visualization_msgs tf
+        roscpp message_generation std_srvs geometry_msgs dynamic_reconfigure visualization_msgs tf
         rc_common_msgs tf2_geometry_msgs
   )
 
@@ -37,19 +37,14 @@
 ## Generate messages in the 'msg' folder
 add_message_files(FILES
         Box.msg
-        CellFillingLevel.msg
         CollisionDetection.msg
         Compartment.msg
-        GridSize.msg
         Item.msg
         ItemModel.msg
         LoadCarrier.msg
-        LoadCarrierWithFillingLevel.msg
         RangeBox.msg
         RangeRectangle.msg
-        RangeValue.msg
         Rectangle.msg
-        RegionOfInterest.msg
         SuctionGrasp.msg
 )
 
@@ -57,22 +52,13 @@
 add_service_files(FILES
         ComputeBoxGrasps.srv
         ComputeGrasps.srv
-        DeleteLoadCarriers.srv
-        DeleteRegionsOfInterest.srv
-        DetectFillingLevel.srv
         DetectItems.srv
-        DetectLoadCarriers.srv
-        GetLoadCarriers.srv
-        GetRegionsOfInterest.srv
-        SetLoadCarrier.srv
-        SetRegionOfInterest.srv
 )
 
 # Generate added messages and services with any dependencies listed here
 generate_messages(
         DEPENDENCIES
         geometry_msgs
-        shape_msgs
         rc_common_msgs
 
 )
